Generate Report

POST /api/rest/v4/data/reports/generate

Initiates the generation request of report(s). A successful API call submits the generation request to the queue and returns a single requestID, which is used to ultimately fetch the report(s). A successful generation request does not necessarily indicate a successful generation of the requested report(s).

A singlerequestID is returned per successful API call. This requestID is to be used in the next step to fetch one or more reports.

Params

NameRequired?ParamTypeTypeDescription
templateIdYesbodyintThe ID of the template to generate a report from
removeEmptyTablesNobodybooleanSpecifies whether to remove empty tables from report.
entriesConditionallybodyarrayArray of IDs to be supplied for entry reports only
userIdsConditionallybodyarrayArray of UserIds to be supplied for user reports only
filtersNobodyobjectSpecify filters as necessary. If absent, defaults apply

Example

Request

POST {{host}}/api/rest/v4/data/reports/generate
Authorization: Bearer {{token}}
 
{
  "templateId": 0,
  "removeEmptyTable": false,
  "entries": [
    18359, 8293, 2589
  ]
}
 

Response

200 OK
{
  "requestID": "a294ed2j-019f-3117-badb-519f926b81f9",
  "status": "pending"
}